---
product: "AG Charts"
title: "Quick Start"
description: "Build Vue Charts with AG Charts, the best free, fast and flexible canvas-based Vue Charting library: Interactive, Animated, Accessible and Customisable."
framework: vue
version: "14.2.0"
related:
    - title: "Key Features"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/key-features/"
    - title: "Community vs. Enterprise"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/vue/community-vs-enterprise/"
llms: "https://www.ag-grid.com/charts/archive/14.2.0/llms.txt"
---

# Quick Start

AG Charts is a high-performance, canvas-based Vue charting library for building Vue Charts and Vue Graphs with an intuitive API, a wide-range of series types and a rich feature set. Available in Community and Enterprise editions. Visit [Community vs. Enterprise](https://www.ag-grid.com/charts/archive/14.2.0/vue/community-vs-enterprise/) to learn more.

## Create a Vue Chart

Add Vue Charts to your application in 60 seconds:

### NPM Install

Install the AG Charts Vue library:

#### NPM

```bash
npm install ag-charts-vue3
```

#### Yarn

```bash
yarn add ag-charts-vue3
```

### Module Install

Register the `AllCommunityModule` to access all Community features:

```js
import { AllCommunityModule, ModuleRegistry } from 'ag-charts-community';

// Enable all Community features
ModuleRegistry.registerModules([AllCommunityModule]);
```

> **Note**
>
> To minimize bundle size, only register the modules you want to use. See the [Modules](https://www.ag-grid.com/charts/archive/14.2.0/vue/module-registry/) page for more information.

### Import the Vue Chart

```html
<script>
    // Vue Chart Component
    import { AgCharts } from 'ag-charts-vue3';

    export default {
        name: 'App',
        components: {
            'ag-charts': AgCharts,
        },
        setup() {},
    };
</script>
```

### Define Chart Data and Series

All configuration is done via the [`options`](https://www.ag-grid.com/charts/archive/14.2.0/options/) object. At a minimum, you need to provide the `data` and `series` properties:

```html
<script>
    setup() {
        // Chart Options
        const options = ref<AgChartOptions>({
            // Data: Data to be displayed in the chart
            data: [
                { month: 'Jan', avgTemp: 2.3, iceCreamSales: 162000 },
                { month: 'Mar', avgTemp: 6.3, iceCreamSales: 302000 },
                { month: 'May', avgTemp: 16.2, iceCreamSales: 800000 },
                { month: 'Jul', avgTemp: 22.8, iceCreamSales: 1254000 },
                { month: 'Sep', avgTemp: 14.5, iceCreamSales: 950000 },
                { month: 'Nov', avgTemp: 8.9, iceCreamSales: 200000 },
            ],
            // Series: Defines which chart type and data to use
            series: [{ type: 'bar', xKey: 'month', yKey: 'iceCreamSales' }],
        });
      return {
        options,
      };
    },
</script>
```

### Vue Chart Component

```html
<template>
    <!-- The AG Charts component with chartsOptions as an attribute -->
    <ag-charts :options="options"> </ag-charts>
</template>
```

### Running the Vue Chart

Below is a live example of the application running. Click `</> Code` to see the code.

#### Basic Chart Example

```ts
import { createApp, defineComponent, ref } from "vue";
import { AgCharts } from "ag-charts-vue3";
import type { AgChartOptions } from "ag-charts-types";
import { AllCommunityModule, ModuleRegistry } from "ag-charts-community";

interface IData {
  // Chart Data Interface
  month:
    | "Jan"
    | "Feb"
    | "Mar"
    | "Apr"
    | "May"
    | "Jun"
    | "Jul"
    | "Aug"
    | "Sep"
    | "Oct"
    | "Nov"
    | "Dec";
  avgTemp: number;
  iceCreamSales: number;
}

ModuleRegistry.registerModules([AllCommunityModule]);

const ChartExample = defineComponent({
  template: `
    <ag-charts
      :options="options"
    />
  `,
  components: {
    "ag-charts": AgCharts,
  },
  setup(props) {
    const options = ref<AgChartOptions>({
      // Data: Data to be displayed in the chart
      data: [
        { month: "Jan", avgTemp: 2.3, iceCreamSales: 162000 },
        { month: "Mar", avgTemp: 6.3, iceCreamSales: 302000 },
        { month: "May", avgTemp: 16.2, iceCreamSales: 800000 },
        { month: "Jul", avgTemp: 22.8, iceCreamSales: 1254000 },
        { month: "Sep", avgTemp: 14.5, iceCreamSales: 950000 },
        { month: "Nov", avgTemp: 8.9, iceCreamSales: 200000 },
      ],
      // Series: Defines which chart type and data to use
      series: [{ type: "bar", xKey: "month", yKey: "iceCreamSales" }],
    });

    return {
      options,
    };
  },
});

createApp(ChartExample).mount("#app");
```

[Live example: Basic Chart Example](https://www.ag-grid.com/charts/archive/14.2.0/vue3/quick-start/examples/basic-example/)

> **Note**
>
> To live-edit the code, open the example in CodeSandbox or Plunker using the buttons to the lower-right.

## Next Steps

Now that you have a basic Vue Chart running, choose one of the following options to continue your learning journey:

- [Key Features](https://www.ag-grid.com/charts/archive/14.2.0/vue/key-features/) — Browse an overview of our commonly used features
- [Tutorials](https://www.ag-grid.com/charts/archive/14.2.0/vue/create-a-basic-chart/) — Get started with our step-by-step tutorials
- [Community vs. Enterprise](https://www.ag-grid.com/charts/archive/14.2.0/vue/community-vs-enterprise/) — Understand the differences between each version


---
product: "AG Charts"
title: "Quick Start"
description: "Build React Charts with AG Charts, the best free, fast and flexible canvas-based React Charting library: Interactive, Animated, Accessible and Customisable."
framework: react
version: "14.2.0"
related:
    - title: "Key Features"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/key-features/"
    - title: "Community vs. Enterprise"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/react/community-vs-enterprise/"
llms: "https://www.ag-grid.com/charts/archive/14.2.0/llms.txt"
---

# Quick Start

AG Charts is a high-performance, canvas-based React charting library for building React Charts and React Graphs with an intuitive API, a wide-range of series types and a rich feature set. Available in Community and Enterprise editions. Visit [Community vs. Enterprise](https://www.ag-grid.com/charts/archive/14.2.0/react/community-vs-enterprise/) to learn more.

## Create a React Chart

Add React Charts to your application in 60 seconds:

### NPM Install

Install the AG Charts React library:

#### NPM

```bash
npm install ag-charts-react
```

#### Yarn

```bash
yarn add ag-charts-react
```

### Module Install

Register the `AllCommunityModule` to access all Community features:

```js
import { AllCommunityModule, ModuleRegistry } from 'ag-charts-community';

// Enable all Community features
ModuleRegistry.registerModules([AllCommunityModule]);
```

> **Note**
>
> To minimize bundle size, only register the modules you want to use. See the [Modules](https://www.ag-grid.com/charts/archive/14.2.0/react/module-registry/) page for more information.

### Import the React Chart

```js
// React Chart Component
import { AgCharts } from 'ag-charts-react';
```

### Define Chart Data and Series

All configuration is done via the [`options`](https://www.ag-grid.com/charts/archive/14.2.0/options/) object. At a minimum, you need to provide the `data` and `series` properties:

```tsx
const ChartExample = () => {
    // Chart Options: Control & configure the chart
    const [chartOptions, setChartOptions] = useState({
        // Data: Data to be displayed in the chart
        data: [
            { month: 'Jan', avgTemp: 2.3, iceCreamSales: 162000 },
            { month: 'Mar', avgTemp: 6.3, iceCreamSales: 302000 },
            { month: 'May', avgTemp: 16.2, iceCreamSales: 800000 },
            { month: 'Jul', avgTemp: 22.8, iceCreamSales: 1254000 },
            { month: 'Sep', avgTemp: 14.5, iceCreamSales: 950000 },
            { month: 'Nov', avgTemp: 8.9, iceCreamSales: 200000 },
        ],
        // Series: Defines which chart type and data to use
        series: [{ type: 'bar', xKey: 'month', yKey: 'iceCreamSales' }],
    });

    // ...
};
```

### React Chart Component

Return the `AgCharts` component with the `chartOptions` as a prop:

```jsx
return (
    // AgCharts component with options passed as prop
    <AgCharts options={chartOptions} />
);
```

### Running the React Chart

Below is a live example of the application running. Click `</> Code` to see the code.

#### Basic Chart Example

```tsx
import React, { useState } from "react";
import { createRoot } from "react-dom/client";
import { AgCharts } from "ag-charts-react";
import {
  AgBarSeriesOptions,
  AgChartOptions,
  AllCommunityModule,
  ModuleRegistry,
} from "ag-charts-community";

interface IData {
  // Chart Data Interface
  month:
    | "Jan"
    | "Feb"
    | "Mar"
    | "Apr"
    | "May"
    | "Jun"
    | "Jul"
    | "Aug"
    | "Sep"
    | "Oct"
    | "Nov"
    | "Dec";
  avgTemp: number;
  iceCreamSales: number;
}

ModuleRegistry.registerModules([AllCommunityModule]);

const ChartExample = () => {
  const [options, setOptions] = useState<AgChartOptions>({
    // Data: Data to be displayed in the chart
    data: [
      { month: "Jan", avgTemp: 2.3, iceCreamSales: 162000 },
      { month: "Mar", avgTemp: 6.3, iceCreamSales: 302000 },
      { month: "May", avgTemp: 16.2, iceCreamSales: 800000 },
      { month: "Jul", avgTemp: 22.8, iceCreamSales: 1254000 },
      { month: "Sep", avgTemp: 14.5, iceCreamSales: 950000 },
      { month: "Nov", avgTemp: 8.9, iceCreamSales: 200000 },
    ] as IData[],
    // Series: Defines which chart type and data to use
    series: [
      {
        type: "bar",
        xKey: "month",
        yKey: "iceCreamSales",
      } as AgBarSeriesOptions,
    ],
  });

  return <AgCharts options={options} />;
};

const root = createRoot(document.getElementById("root")!);
root.render(<ChartExample />);
```

[Live example: Basic Chart Example](https://www.ag-grid.com/charts/archive/14.2.0/reactFunctionalTs/quick-start/examples/basic-example/)

> **Note**
>
> To live-edit the code, open the example in CodeSandbox or Plunker using the buttons to the lower-right.

## Next Steps

Now that you have a basic React Chart running, choose one of the following options to continue your learning journey:

- [Key Features](https://www.ag-grid.com/charts/archive/14.2.0/react/key-features/) — Browse an overview of our commonly used features
- [Tutorials](https://www.ag-grid.com/charts/archive/14.2.0/react/create-a-basic-chart/) — Get started with our step-by-step tutorials
- [Community vs. Enterprise](https://www.ag-grid.com/charts/archive/14.2.0/react/community-vs-enterprise/) — Understand the differences between each version


---
product: "AG Charts"
title: "Quick Start"
description: "Build Angular Charts with AG Charts, the best free, fast and flexible canvas-based Angular Charting library: Interactive, Animated, Accessible and Customisable."
framework: angular
version: "14.2.0"
related:
    - title: "Key Features"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/angular/key-features/"
    - title: "Community vs. Enterprise"
      url: "https://www.ag-grid.com/charts/archive/14.2.0/angular/community-vs-enterprise/"
llms: "https://www.ag-grid.com/charts/archive/14.2.0/llms.txt"
---

# Quick Start

AG Charts is a high-performance, canvas-based Angular charting library for building Angular Charts and Angular Graphs with an intuitive API, a wide-range of series types and a rich feature set. Available in Community and Enterprise editions. Visit [Community vs. Enterprise](https://www.ag-grid.com/charts/archive/14.2.0/angular/community-vs-enterprise/) to learn more.

## Create an Angular Chart

Add Angular Charts to your application in 60 seconds:

### NPM Install

Install the AG Charts Angular library:

#### NPM

```bash
npm install ag-charts-angular
```

#### Yarn

```bash
yarn add ag-charts-angular
```

### Module Install

Register the `AllCommunityModule` to access all Community features:

```js
import { AllCommunityModule, ModuleRegistry } from 'ag-charts-community';

// Enable all Community features
ModuleRegistry.registerModules([AllCommunityModule]);
```

> **Note**
>
> To minimize bundle size, only register the modules you want to use. See the [Modules](https://www.ag-grid.com/charts/archive/14.2.0/angular/module-registry/) page for more information.

### Import the Angular Chart

```ts
// Angular Chart Component
import { AgCharts } from 'ag-charts-angular';
// Chart Options Type Interface
import { AgChartOptions } from 'ag-charts-community';
```

### Define Chart Data and Series

All configuration is done via the [`options`](https://www.ag-grid.com/charts/archive/14.2.0/options/) object. At a minimum, you need to provide the `data` and `series` properties:

```ts
// Angular Chart Component
@Component({
    selector: 'app-root',
    standalone: true,
    imports: [AgCharts],
    template: ``,
})
export class AppComponent {
    // Chart Options
    public chartOptions: AgChartOptions;
    constructor() {
        this.chartOptions = {
            // Data: Data to be displayed in the chart
            data: [
                { month: 'Jan', avgTemp: 2.3, iceCreamSales: 162000 },
                { month: 'Mar', avgTemp: 6.3, iceCreamSales: 302000 },
                { month: 'May', avgTemp: 16.2, iceCreamSales: 800000 },
                { month: 'Jul', avgTemp: 22.8, iceCreamSales: 1254000 },
                { month: 'Sep', avgTemp: 14.5, iceCreamSales: 950000 },
                { month: 'Nov', avgTemp: 8.9, iceCreamSales: 200000 },
            ],
            // Series: Defines which chart type and data to use
            series: [{ type: 'bar', xKey: 'month', yKey: 'iceCreamSales' }],
        };
    }
}
```

### Angular Charts Component

Chart options are set as an `ag-charts` component attribute.

```tsx
@Component({
    template: ` <ag-charts style="height: 100%" [options]="chartOptions"></ag-charts> `,
})
class AppComponent {}
```

### Running the Angular Chart

Below is a live example of the application running. Click `</> Code` to see the code.

#### Basic Chart Example

```ts
// Angular entry point file
import '@angular/compiler';
import { bootstrapApplication } from '@angular/platform-browser';

import { AppComponent } from './app.component';

bootstrapApplication(AppComponent);
```

[Live example: Basic Chart Example](https://www.ag-grid.com/charts/archive/14.2.0/angular/quick-start/examples/basic-example/)

> **Note**
>
> To live-edit the code, open the example in CodeSandbox or Plunker using the buttons to the lower-right.

## Next Steps

Now that you have a basic Angular Chart running, choose one of the following options to continue your learning journey:

- [Key Features](https://www.ag-grid.com/charts/archive/14.2.0/angular/key-features/) — Browse an overview of our commonly used features
- [Tutorials](https://www.ag-grid.com/charts/archive/14.2.0/angular/create-a-basic-chart/) — Get started with our step-by-step tutorials
- [Community vs. Enterprise](https://www.ag-grid.com/charts/archive/14.2.0/angular/community-vs-enterprise/) — Understand the differences between each version
